LIBRARY ieee;
USE ieee.std_logic_1164.all;
LIBRARY work;
USE work.defines.all;

entity regmux is
	port (
		R00, R01, R10, R11: std_logic_vector(wordsize-1 downto 0);
		sel: std_logic_vector(1 downto 0);
		Q: OUT std_logic_vector(wordsize-1 downto 0)
	);
end regmux;

architecture a of regmux is
begin
	Q <= R00 when sel = "00" else
		 R01 when sel = "01" else
		 R10 when sel = "10" else
		 R11;
end a;
